petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMForestSetCellWeightFactor

During the pre-setup phase, set the factor by which the level of refinement changes the cell weight (see DMForestSetCellWeights()) when calculating partitions. The final weight of a cell will be (cellWeight) * (weightFactor^refinementLevel). A factor of 1 indicates that the weight of a cell does not depend on its level; a factor of 2, for example, might be appropriate for sub-cycling time-stepping methods, when the computation associated with a cell is multiplied by a factor of 2 for each additional level of refinement.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetCellWeightFactor(DM dm, PetscReal weightsFactor)

Logically collective on dm

### Input Parameters

| dm | - the forest
| weightsFactors | - default 1.

### See Also

DMForestGetCellWeightFactor(), DMForestSetCellWeights()

### Level

advanced

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages